# scipy.special.wrightomega

`scipy.special.``wrightomega`(z, out=None) = <ufunc 'wrightomega'>

  Wright Omega function.

  Defined as the solution to

  \[\omega + \log(\omega) = z\]

  where \(\log\) is the principal branch of the complex logarithm.

  Parameters:

  z : array_like

  > Points at which to evaluate the Wright Omega function

  Returns:

  omega : ndarray

  > Values of the Wright Omega function

  See also

  `lambertw`
    The Lambert W function

  Notes

  New in version 0.19.0.

  The function can also be defined as

  \[\omega(z) = W_{K(z)}(e^z)\]

  where \(K(z) = \lceil (\Im(z) - \pi)/(2\pi) \rceil\) is the unwinding number and \(W\) is the Lambert W function.

  The implementation here is taken from [R507].

  References

  [R507] | (1, 2) Lawrence, Corless, and Jeffrey, “Algorithm 917: Complex Double-Precision Evaluation of the Wright \(\omega\) Function.” ACM Transactions on Mathematical Software, 2012. DOI:10.1145/2168773.2168779.